AutoCAD Civil 3D :: How To Create New Vertex Points In Line And 3D Polyline

Nov 24, 2013

I want to create new vertex points in feature line  and 3dpol.

I have this:
try
{
if (obj.GetType() == typeof(Autodesk.AutoCAD.DatabaseServices.Polyline3d)) {
Polyline3d p3d = (Polyline3d)trans.GetObject(entRes.ObjectId, OpenMode.ForWrite);

[Code]....

In this code line:

oFtrLn.InsertFeaturePoint(punt, AeccLandFeatureLinePointType.aeccLandFeatureLinePointPI);
 
always catches the same Exception "the value is not within the expected range" .I have translated it because I get "El valor no está dentro del intervalo esperado". Perhaps is this: " Value does not fall within the expected range.".

I have tried it with different point3d values but always catches  Exception.

With pol3d I have similar problem.
 
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit

View 4 Replies


ADVERTISEMENT

AutoCad 2D :: Reduce Number Of Vertex Points In Polyline Or 3DPolyline?

Oct 9, 2013

Any way to reduce the number of vertex points in a polyline or 3d polyline and retain the basic shape but without having to redraw over the top it?

Ideally, I would like any adjacent segments which are in the same direction as each other to become one segment.

In my image you can see the number of points it has, the majority of which are not necessary for my needs (it was imported from a client's drawing). My desired linetype will also not show because of this.

spline.jpg

View 9 Replies View Related

AutoCad :: Drag-select Multiple Vertex Points Form Polyline

May 13, 2011

How can I drag-select muliple vertex points form a polyline, a workaround I found is:

-select object

-shift select first vertex, shift select next vertex, etc

But this workaround is limited because I want to delete those vertexes, I cannot find the remove vertex command when I have multiple vertexes selected.

View 2 Replies View Related

AutoCAD 2013 :: Explode Polyline Or Line To Points?

Mar 20, 2013

I'd like to explode a polyline 2d, 3d or a simple line to single 3d points.Civil 3D (2013) how much you have to improve....

View 4 Replies View Related

AutoCad :: Create Set Of Points Around A Polyline

Jul 17, 2011

I'm currently trying to use the draw > point > measure tool to create a set of points around a polyline but I can't seem to get them to start at a point that I want. When I try and create the points they start from a random place.

View 3 Replies View Related

3ds Max :: Can't Create Another Vertex On Certain Line

Dec 28, 2012

3ds max 2012. I know most of the base of the software.But I never understood the technique of adding Polignim, vertexs and lines to the object to make it more realistic

Here I am trying to create a vertex: URL....

This is what happens after I create the vertex: URL....

The problem is that the vertex is not part of the line.You can see it because I moved the vetex. Some of the line was supposed to move with the vertex. This means that vetex is not part of anything. How to create vertex on the line.

View 2 Replies View Related

AutoCad :: Create A Polyline From Selected Cogo Points

Jan 28, 2012

is there a command (or method) that will create a polyline from selected cogo points instead of manually connected each point from a create line command?

View 2 Replies View Related

AutoCAD Civil 3D :: Adding Vertex To Feature Line Or Pline?

Sep 12, 2013

how I can add in some vertex's at regular intervals on a fline or pline?

C3D 2013

View 2 Replies View Related

AutoCAD Civil 3D :: Feature Line Vertex Elevation Label?

Feb 22, 2010

I've seen a label style somewhere that can label the elevation of vertices and elevation points on feature lines. How to style or a procedure for creating a style for this?

I've found a couple of blogs that layout the steps for a style but it seems there are a few ways to do it so I'm looking for what could be considered the most effective/versatile approach.

View 9 Replies View Related

AutoCAD Civil 3D :: Leader Vertex Does Not Connect To Line When Changing Scales

Nov 15, 2012

I’ve had this problem with my proposed elevations for quite some time so I finally want to fix it while I’m a little slow. The problem I have is when I change scales, my elevation’s (in dragged state) leader vertex does not connect to my line. I’ve attached my lable styles...

View 7 Replies View Related

AutoCAD Civil 3D :: Export Points To Datacollector And Create Points List

Feb 8, 2013

I had to create a boundary map and place points to all corners. How to export these newly created points back into my data collector (Ranger) and also I'm trying to figure out how to print out a points list. 

I stumbled on to this thread but I guessing that it's a different CAD year because my modify tab doesn't look like this. URL.....

View 4 Replies View Related

AutoCad 2D :: Add Vertex To End Of Polyline?

Dec 13, 2012

problem I am encountering with adding vertices to the ends of polylines in AutoCAD LT 2012:

I typically use the drop down menu that shows up when hovering over the end (or mid) point of a polyline to choose "Add Vertex" to a polyline. If I do this to one end-grip of the polyline, it will add it onto the end of the polyline as an extension (desired and intended effect). If I do it to the other end-grip, it will add the vertex behind the end of the polyline as if I had used the mid-grip to do it (not the desired effect). If I wanted a vertex in the middle of two end points, I would do this procedure using the mid-grip, not the end-grip. One would think that by using an end-grip, it would come off the end, not go into the middle....one would think.

The Question: Is there a short key or quick command to use to guarantee the added vertex will extend from the end of the polyline rather than add one in the middle of the polyline, no matter which end I am trying to extend?

View 4 Replies View Related

AutoCAD 2013 :: Polyline Vertex To Arc

Sep 25, 2013

I have imported a dwg witch was created by Revit. The problem is that it creates polyline vertex for curves. But i want a arc, or at least not so many segments.

on the image; on the left is what i got, on the right is what i want.

View 3 Replies View Related

AutoCAD .NET :: Delete Vertex In Polyline

Jan 7, 2014

Delete some vertex in this polyline.

hhh1.png

Example as: i have 3 vertex (0,1,2)  and you can see vertex 1 stay between vertex  0 and 2. Now, i want to delete this vertex how can do that. Similarly, i want to delete some vertex 3,5,8. 

View 1 Replies View Related

AutoCAD Map 3D :: Display Z Value Of A Vertex In Polyline

Jun 24, 2013

I have a set of polylines that have easting, northing and height values. However, I want to display the co-ordinates of each vertex within the polyline.

When I scroll over the vertices of the polyline the values change (bottom left screen) I simply want them displayed as a text.

View 1 Replies View Related

AutoCAD .NET :: Adding Vertex To Closed Polyline?

Aug 13, 2013

I have a method for inserting a vertex to a polyline. But this does not work for closed polylines for the case shown below. The code fails if the point is on the last edge of the polyline.
 
public void AddVertexOnPolyline(Point3d addPoint,Polyline editPolyline) { Document acDoc = Autodesk.AutoCAD.ApplicationServices.Core.Application.DocumentManager.MdiActiveDocu

[Code].....

View 2 Replies View Related

AutoCad :: Adding Vertex In Shape / Polyline

May 24, 2011

Is there a simple way to add a vertex anywhere you want in a shape or polyline? I double click those items and a menu comes up and I can add a vertex but it limits me where I can add the vertex and then it is a pain to make it work like I want.

View 2 Replies View Related

AutoCad 2D :: How To Change Elevation Of Each Vertex On Polyline

Sep 1, 2011

how to change the elevation of each vertex on a polyline so that each vertex has a different value. The way I attempted this in the past was to click on polyline, click properties and give each vertex the required elevation. However when I looked back at the values I noticed that every vertex had the same value as the last elevation value entered. is it something to do with ensuring polyline is 3D?

View 2 Replies View Related

AutoCad :: Create Polyline That Has Combined Dashed And Continuous Type Of Line?

Jan 16, 2012

So, is it possible to create one polyline that has combined dashed and continuous type of line in one polyline?

View 9 Replies View Related

AutoCAD .NET :: Detect If Selected Point Of Polyline Is Its Vertex?

Feb 10, 2012

I would like to know if there is any way to detect if selected point of the selected polyline is its vertex?

1. The user is drawing rectangle or any other figure with polyline.

2. Entering command "GetMe".

3. Selecting polyline.

4. Selecting point.

Is there any built-in function in Autodesk's API?

View 6 Replies View Related

AutoCAD .NET :: Create Line With Multiple Insertion Points?

Mar 9, 2012

I am trying to create a tool that looks similar to Line in Autocad. I got the solution for dynamic multiple insertion points but the issue is the line is only visible after the end point is selected. But i want the line to be visible before selecting the end point, this should be as same as the line we use in autocad. Following is the code i used to create a line with multiple insertion points.

Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument
Dim acCurEd As Editor = acDoc.Editor
Using lock As DocumentLock =

[Code]....

View 6 Replies View Related

AutoCAD Civil 3D :: Polyline To Draw Daylight Line

Aug 21, 2013

I have a list of offset distance from centerline on both sildes (left and right). I want to use this to create a polyline that represents the daylight. these offsets are taken from an old hardcopy drawings of cross-sections. is there any way to draw this polyline that follows the alignment?

file can be .txt or .csv

View 3 Replies View Related

AutoCAD Civil 3D :: Convert A Feature Line To A 3d Polyline?

Jul 13, 2011

Feature lines are easy to make and great for grading.  However, when I try to save the drawing into *.dxf, all the feature lines disappeared. Does this mean DXF files do not take feature lines?

I need the DXF files to up load into GPS.  Do I have to redraw everything in 3D polyline?Or is there an easier way to convert feature lines into 3D polylines?

View 9 Replies View Related

AutoCAD Civil 3D :: Convert Polyline To Feature Line For Use In Grading

Aug 22, 2012

I'm working on crane pads for a windfarm development and have run into an issue that has never happened in the other 60 or so ones I've done previously.

I have a polyline (elevation added in via Properties) that I want to convert to a feature line for use in grading but when I try to convert I get the message below

When I check the properties and do a LIST the list reports a negative elevation.

View 3 Replies View Related

AutoCAD Civil 3D :: Create Point From A Polyline

Aug 14, 2013

I want to create points from the polyline to identify in the field. For example, I create a square for a concrete pad and I want to identify the corners of the pad.  

View 4 Replies View Related

AutoCAD Civil 3D :: Create Drainage Polyline

Apr 16, 2012

Any way to create a polyline linetype that simulates a solid dashed with outer lines (drainage line)?

I could sort of do it with the multiline feature but not what we want.  using 2011 civil3D

View 2 Replies View Related

AutoCAD Civil 3D :: Polyline To Feature Line Interpolates Wrong Data

Aug 29, 2013

I have created a feture line from a 2d polyline. 

I have NO weed appplied and as you can see there are two errors :

- some points on original surface (used to get Z) are not interpolated.

- the quick profile shows error : in addition to lacking points, others are bad interpolated.

(the image show both)

The surface used behaves rightly with feature lines created from aligments 

(I have created an aligment from polyline and then a fetaure line from that and the Z interpolation are ok )

Civil 3D (2013)

View 9 Replies View Related

AutoCAD Civil 3D :: Draw Polyline From Point To Point Using Imported Points?

Aug 16, 2013

Im still new to Civil 3D and i would like to know how to connect inported points using 3D polylines. I imported my points from Excel in a PNEZD format. How do i get the 3d poly line to snap to my points so I can Connect them? someone mentioned using a feature line to connect the points but im not sure how or what that would do.

View 3 Replies View Related

AutoCAD Inventor :: Create Sketch With Line Starting Points Depending On Other Sketches?

Oct 6, 2012

I want to draw a line between the two sketches visible on the image below. The line should be in the plane visible. The starting point of the line should be from wherever the top sketch intersects  the plane of the current sketch. The finnish point of the line should be wherever a line of the bottom sketch intersects the current sketch plane.

There is no tooltip appearing that would allow me to quickly "attach" the starting line to the correct position. Is there such an aid, and how do i turn it on?

View 1 Replies View Related

AutoCAD Civil 3D :: Create Ployline From 2D Polyline With Curves?

May 3, 2011

I want to create a 3d ployline from a 2d polyline with curves. When I use the convert 2d polyline to 3d polyline command it places a bunch of vertices along the curve so when I go to place elevations on the vertices it takes too long. I want to be able to give an elevation at the pc and pt and have it place elevations along the curve from this info like it does on the stright lines.

View 6 Replies View Related

AutoCAD Civil 3D :: Create Polyline From Figure Using BaseCurve Method

Nov 18, 2013

[URL]

You said that there is no need to flatten, but each method I have tried does not produce a polyline with curves.

I tried:

survfig.BaseCurve
survfig.BaseCurve.GetProjectedCurve
survig.BaseCurve.GetOrthoprojectedCurve

If if manually flatten the figure using a dummy suface with the AeccFeatureElevsFromSurf command, the polyline derived from survfig.BaseCurve will then have actual arc segments.

Is there another method or a way to flatten the figure programatically first?

View 8 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved